Bug 175245 - gnumeric fails to start
gnumeric fails to start
Product: Fedora
Classification: Fedora
Component: gnumeric (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-12-07 20:11 EST by Michael A. Peters
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-11 17:33:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael A. Peters 2005-12-07 20:11:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051129 Fedora/1.5-1 Firefox/1.5

Description of problem:
After a yum update, gnumeric fails to start.
When launched, a window states - The Application "gnumeric" has quit unexpectedly

I'll install the debuginfo and try to get a trace soon.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. launch gnumeric

Actual Results:  crashes

Expected Results:  worlds best spreadsheet

Additional info:

no error output when started from terminal
Comment 1 Hans de Goede 2005-12-08 02:14:25 EST
I see the same over here, it used to work just fine, so some dependency of
gnumeric in core got updated and has it hosed. It needs a rebuild because of
some changes anyway, lets hope that the rebuild cures things.
Comment 2 Hans de Goede 2005-12-08 10:33:52 EST
I've upgraded my i386 testing machine to the latest rawhide and now gnumeric
starts fine, so probably the problem was in a dependency and is fixed now.

Can you upgrade to the latest rawhide and try again?
Comment 3 Hans de Goede 2005-12-09 08:16:21 EST

This still happens on my home machine (fully up2date rawhide) but not on my work
machine (also fully up2date rawhide).

Anyways I'll investigate further.
Comment 4 Hans de Goede 2005-12-11 17:33:07 EST
A run under the debugger after installing the debuginfo, shows that the actual
problem is in gtk2-engines, upgrading gtk2-engines to 2.7.0-2 (from 2.7.0-1)
fixes this for me, closing as fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.